## magnusplus 0.0.2-3

=== Makefile ===
prefix = /opt/magnusplus
bindir = $(prefix)

install: all
	chmod +rx setfocus
	install -D  setfocus $(DESTDIR)$(bindir)/setfocus
	chmod +s $(DESTDIR)$(bindir)/setfocus
	
	chmod +rx lupa.sh
	install -D lupa.sh $(DESTDIR)$(bindir)/lupa.sh
	install -D magnuspluslogo.png $(DESTDIR)$(bindir)/magnuspluslogo.png
	install -D magnusplus.desktop $(DESTDIR)/usr/share/applications/hildon/magnusplus.desktop

	chmod +rx inverter.sh
	install -D inverter.sh $(DESTDIR)$(bindir)/inverter.sh
	install -D magnusinverterlogo.png $(DESTDIR)$(bindir)/magnusinverterlogo.png
	install -D magnusinverter.desktop $(DESTDIR)/usr/share/applications/hildon/magnusinverter.desktop
	
	install -D libgstvideobalance.so $(DESTDIR)$(bindir)/libgstvideobalance.so
	install -D gstvideobalance.c $(DESTDIR)$(bindir)/gstvideobalance.c
	

#	mkdir -p $(DESTDIR)/etc/sudoers.d/ || true
#	install -D magnusplus.sudoers $(DESTDIR)/etc/sudoers.d/

all: setfocus

setfocus: setfocus.c
	gcc -o setfocus setfocus.c

clean:
	rm -f setfocus setfocus.o

## magnusplus 0.0.2-2

=== debian/changelog ===
magnusplus (0.0.2-2) unstable; urgency=low

  * Removed the blueish tint in the negative viewer

 -- Cristian Grozea <maemo@brainsignals.de>  Fri, 9 Feb 2012 22:24:32 +0000

magnusplus (0.0.2-1) unstable; urgency=low

  * Fixed the lack of root rights for seting focus (well, second try)
  * Added the long due viewer for photo negatives (magnus plus negative
  * viewer)

 -- Cristian Grozea <maemo@brainsignals.de>  Fri, 9 Feb 2012 22:24:32 +0000

magnusplus (0.0.1-2) unstable; urgency=low

  * Fixed the lack of root rights for seting focus

 -- Cristian Grozea <maemo@brainsignals.de>  Fri, 16 Sep 2011 22:24:32 +0000

magnusplus (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Cristian Grozea <maemo@brainsignals.de>  Fri, 16 Sep 2011 22:24:32 +0000

=== debian/control ===
Source: magnusplus
Section: user/utilities
Priority: extra
Maintainer: Cristian Grozea <maemo@brainsignals.de>
Build-Depends: debhelper (>= 7.0.50~), libgstreamer-plugins-base0.10-0, libgstreamer0.10-0
Standards-Version: 3.8.4
Homepage: http://talk.maemo.org/showthread.php?p=1090485
#Vcs-Git: git://git.debian.org/collab-maint/magnusplus.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/magnusplus.git;a=summary

Package: magnusplus
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer-tools, libgstreamer-plugins-base0.10-0,  libgstreamer-plugins-base0.10-0, libgstreamer0.10-0
Description: magnifier and photo negatives viewer for the N900 using the main camera 
 Magnifier and viewer for photo negatives for the N900, it streams the video stream captured at close focus distance from the main camera to the screen. The magnification is somewhere between 3x and 4x (more than of the native camera app). As for the optical magnifiers, the distance to the object examined must be tuned until best sharpness is achieved. The viewer for negatives additionaly inverts the color of the video stream and makes the required changes of tint.

## magnusplus 0.0.2-3

=== debian/changelog ===
magnusplus (0.0.2-3) unstable; urgency=low

  * Added bugtracker contact

 -- Cristian Grozea <maemo@brainsignals.de>  Fri, 9 Feb 2012 22:24:32 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Homepage: http://talk.maemo.org/showthread.php?p=1090485
 #Vcs-Git: git://git.debian.org/collab-maint/magnusplus.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/magnusplus.git;a=summary
+XSBC-Bugtracker: mailto:maemo@brainsignals.de
 
 Package: magnusplus
 Architecture: armel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
#DEB_FIXPERMS_EXCLUDE := setfocus
#EXCLUDE_FIND := setfocus
%:
	dh $@ 

override_dh_fixperms:
	dh_fixperms
	chmod 4755 debian/magnusplus/opt/magnusplus/setfocus
	chown root.root debian/magnusplus/opt/magnusplus/setfocus
